Page MenuHomePhabricator

Plan to bring newcomers to our hackathons and integrate them
Closed, ResolvedPublic

Description

One of the conclusions after the Wikimedia Hackathon in Zürich and the Wikimania Hackathon in London last year was: we need focused attention on the newcomers. The ones we got were quite lost, and they integrated or not based on quasi-random circumstances.

From now on we need to actively reach out to newcomers, and to plan for welcoming them and integrate them to the event, with the goal of engaging them and retaining them in our community.

How are we doing this:

  • Welcoming newcomers is now a basic principle of Wikimedia hackathons, and we have defined different types of newcomers expected.
  • The registration form of the Wikimedia-Hackathon-2015 (launched) and the #Wikimania-Hackathon-2015 (proposed) includes:
    • a checkbox "This is my first Wikimedia Hackathon EU" to identify newcomers
    • a single choice question "We plan to welcome new participants with an intro session based on 1:1 or small group chats. Are you in?" with options "I'd welcome a chat with an insider", "I could chat with a newcomer", "No, thanks", and Other.
    • Multiple choice questions for main interests and languages spoken, in order to help finding matching groups.
  • We will schedule a "Welcoming newcomers" session after the opening and before lunchtime on the first day.
  • The new Buddy system, also promoted in the registration form, aims to assure that all newcomers get a regular contact during the event. See the Buddies pages for Lyon and Mexico City.

But of course, this only works if we do outreach to newcomers.

  • We are defining main themes that require training sessions and microtasks for newcomers.
  • We are planning at least one session focusing on local developers i.e. in their own language, facilitated by local community members.
  • We are reaching out to local developer communities (universities, developer groups), and we encourage insiders to invite colleagues from upstream projects and neighbor communities to their first Wikimedia event.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedKeegan
DeclinedNone
InvalidNone
InvalidNone
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedRfarrand
ResolvedOmar_sansi
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedRfarrand
ResolvedRfarrand
ResolvedNiharika
ResolvedNiharika
ResolvedQgil
DeclinedQgil
ResolvedNiharika
ResolvedQgil
ResolvedNiharika
Resolved01tonythomas
DuplicateTinaj1234
ResolvedMooeypoo
Resolved yuvipanda
ResolvedNikerabbit
ResolvedNemo_bis
ResolvedDicortazar
ResolvedJdlrobson
Resolvedjayvdb
ResolvedNone
Resolvedjayvdb
ResolvedNone
Resolvedhappy5214
ResolvedAmire80
ResolvedAnkita-ks
ResolvedYaron_Koren
ResolvedQgil
ResolvedQgil
ResolvedQgil
DeclinedAlexCella
ResolvedDeskana
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedQgil
DuplicateQgil
ResolvedQgil

Event Timeline

Qgil created this task.Feb 12 2015, 9:31 PM
Qgil claimed this task.
Qgil raised the priority of this task from to Low.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2015, 9:31 PM
Qgil updated the task description. (Show Details)Feb 12 2015, 9:32 PM
Qgil set Security to None.
Qgil updated the task description. (Show Details)Feb 17 2015, 10:19 PM

Some progress. The registration form proposed includes:

  • A checkbox "This is my first Wikimedia Hackathon EU"
  • A single choice question "We plan to welcome new participants with an intro session based on 1:1 or small group chats. Are you in?" with options "I'd welcome a chat with an insider", "I could chat with a newcomer", "No, thanks", and Other.
  • Multiple choice questions for main interests and languages spoken, in order to help finding matching groups.

I think in broad terms we could plan for a 1h session after the opening and before lunch time, in the biggest room. In this session there would be a very broad and very short intro with the highlights, a bit of general Q&A, and then the rest of the time 1:1 or small groups having just a casual chat.

I wonder whether people participating in this session could get something special, i.e. a specific design or labelled t-shirt.

The form also includes a place where you can specify the name of your buddy. I thinks its infeasible for everyone to have one at this time. We'll need some kind of buddy finding system. I think it'd be good for the form to say something about that so the field doesn't _feel_ required. Maybe some questions about about who you'd buddy with?

For what it's worth I'd love to be involved with the new folks welcoming stuff. I'd honestly be happy to do it the whole time.

Qgil added a comment.Feb 19 2015, 7:36 PM

@Manybubbles, you are right. The solution is as simple as starting a wiki page, though. I have used wiki pages to let people organize roommates in hotels, which is basically the same type of problem.

https://www.mediawiki.org/wiki/Lyon_Hackathon_2015/Buddies

@Qgil, I have a suggestion. How about if those who are new to WMF are allowed to have a WMF buddy so they can get a chance to learn on MediaWiki and related projects? This would be helpful to newcomers and recent hires in the foundation. I know it's hard to precisely define "new to WMF" but there probably are a bunch of people who come in that category. Myself included.

Qgil added a comment.Feb 25 2015, 12:32 PM

I think it is more important to keep the simple rule that WMF employees buddy up with non-WMF people. Plenty of non-WMF contributors can explain MediaWiki and related projects to a newcomer as good as most WMF employees. Also, well, if you are in the hackathon you can ask anything to anyone regardless of who is your buddy.

Qgil moved this task from Backlog to Doing on the ECT-March-2015 board.Mar 3 2015, 1:01 PM
Elitre added a subscriber: Elitre.Mar 3 2015, 3:51 PM
Qgil raised the priority of this task from Low to Normal.Mar 5 2015, 8:40 PM
Qgil added a subscriber: Moushira.Mar 12 2015, 12:57 PM
Qgil raised the priority of this task from Normal to High.Mar 13 2015, 1:23 PM
Qgil updated the task description. (Show Details)Mar 16 2015, 2:51 PM

Please check the description. I think we have a good plan in place, now we only have to execute it. I plan to close this task as is, and create new tasks to track the implementation for Lyon and Mexico city. Feedback welcome!

Niharika removed a subscriber: Niharika.Mar 18 2015, 2:11 PM
Qgil renamed this task from Bring newcomers to our hackathons and integrate them to Plan to bring newcomers to our hackathons and integrate them.Mar 18 2015, 2:11 PM
Qgil closed this task as Resolved.
Qgil added a subscriber: Niharika.

Alright, I have marked all the tasks that are a result of this new 'welcoming newcomers' focus. Resolving this task. The party continues in these tasks.